> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update status of approver and task > Update status of approver and task. ## OpenAPI ````json PATCH /v1/tasks/{task-id} { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/tasks/{task-id}": { "patch": { "tags": [ "Task" ], "summary": "Update status of approver and task.", "description": "Update status of approver and task.", "operationId": "UpdateTask", "parameters": [ { "$ref": "#/components/parameters/TaskId" } ], "requestBody": { "$ref": "#/components/requestBodies/TaskUpdateRequest" }, "responses": { "200": { "description": "Updated Task status.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TaskResult" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Writer,Manager,ActiveAccount" } } }, "components": { "parameters": { "TaskId": { "name": "task-id", "in": "path", "description": "UUID of a task.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "requestBodies": { "TaskUpdateRequest": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TaskUpdateRequest" } } }, "required": true, "x-bodyName": "body" } }, "schemas": { "TaskResult": { "type": "object", "properties": { "task_id": { "type": "string", "description": "Task Id", "format": "uuid" }, "certificate_id": { "type": "string", "description": "Certificate Id in case of certificate issuance task.", "format": "uuid" }, "node_id": { "type": "string", "description": "Compute Node Id.", "format": "uuid" }, "task_type": { "$ref": "#/components/schemas/TaskType" }, "task_status": { "$ref": "#/components/schemas/TaskStatus" }, "build_id": { "type": "string", "description": "Build Id.", "format": "uuid" } } }, "TaskUpdateRequest": { "required": [ "status" ], "type": "object", "properties": { "status": { "$ref": "#/components/schemas/ApprovalStatus" }, "denial_reason": { "type": "string", "description": "Reason associated with the denial." } } }, "TaskType": { "enum": [ "NODE_ATTESTATION", "CERTIFICATE_ISSUANCE", "BUILD_WHITELIST", "DOMAIN_WHITELIST" ], "type": "string", "description": "The types of tasks supported." }, "TaskStatus": { "required": [ "created_at", "status_updated_at", "status" ], "type": "object", "properties": { "created_at": { "type": "integer", "description": "Task creation time", "format": "int64" }, "status_updated_at": { "type": "integer", "description": "Time since the status change.", "format": "int64" }, "status": { "$ref": "#/components/schemas/TaskStatusType" }, "error": { "$ref": "#/components/schemas/TaskError" } }, "description": "Status info for a task." }, "ApprovalStatus": { "enum": [ "APPROVED", "DENIED" ], "type": "string", "description": "Approval status." }, "TaskStatusType": { "enum": [ "INPROGRESS", "FAILED", "SUCCESS", "DENIED" ], "type": "string", "description": "Status string for a task." }, "TaskError": { "required": [ "message" ], "type": "object", "properties": { "message": { "type": "string", "description": "Error message in case of task failures" } } } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````